<?xml version="1.0" encoding="UTF-8"?><!-- Published by JAX-WS RI at http://jax-ws.dev.java.net. RI's version is JAX-WS RI 2.1.3.3-hudson-757-SNAPSHOT. --><xs:schema xmlns:tns="http://www.wmich.edu/cs/mdot/tmc/msg" xmlns:xs="http://www.w3.org/2001/XMLSchema" version="1.0" targetNamespace="http://www.wmich.edu/cs/mdot/tmc/msg">

<xs:element name="GetHazardListRequest" nillable="true" type="tns:GetHazardListRequestType"></xs:element>

<xs:element name="GetHazardListResponse" nillable="true" type="tns:GetHazardListResponseType"></xs:element>

<xs:element name="HelloWorldRequest" nillable="true" type="tns:HelloWorldRequestType"></xs:element>

<xs:element name="HelloWorldResponse" nillable="true" type="tns:HelloWorldResponseType"></xs:element>

<xs:element name="PostHazardRequest" nillable="true" type="tns:PostHazardRequestType"></xs:element>

<xs:element name="PostHazardResponse" nillable="true" type="tns:PostHazardResponseType"></xs:element>

<xs:element name="fault" nillable="true" type="tns:FaultType"></xs:element>

<xs:complexType name="FaultType">
<xs:sequence>
<xs:element name="code" type="xs:string"></xs:element>
<xs:element name="description" type="xs:string"></xs:element>
</xs:sequence>
</xs:complexType>

<xs:complexType name="HelloWorldResponseType">
<xs:sequence>
<xs:element name="HelloStr" type="xs:string"></xs:element>
</xs:sequence>
</xs:complexType>

<xs:complexType name="CoordinateType">
<xs:sequence>
<xs:element name="latitude" type="xs:double"></xs:element>
<xs:element name="longitude" type="xs:double"></xs:element>
</xs:sequence>
</xs:complexType>

<xs:complexType name="HazardListType">
<xs:sequence>
<xs:element name="hazard" type="tns:HazardType" nillable="true" minOccurs="0" maxOccurs="unbounded"></xs:element>
</xs:sequence>
</xs:complexType>

<xs:complexType name="HazardType">
<xs:sequence>
<xs:element name="location" type="tns:LocationType"></xs:element>
<xs:element name="category" type="tns:HazardCategoryType"></xs:element>
<xs:element name="road" type="tns:RoadType" minOccurs="0"></xs:element>
</xs:sequence>
</xs:complexType>

<xs:complexType name="LocationType">
<xs:sequence>
<xs:element name="Coordinates" type="tns:CoordinateType"></xs:element>
</xs:sequence>
</xs:complexType>

<xs:complexType name="HazardCategoryType">
<xs:sequence>
<xs:element name="code" type="xs:string"></xs:element>
<xs:element name="description" type="xs:string" minOccurs="0"></xs:element>
</xs:sequence>
</xs:complexType>

<xs:complexType name="RoadType">
<xs:sequence>
<xs:element name="id" type="xs:string"></xs:element>
<xs:element name="categoryCode" type="xs:string" minOccurs="0"></xs:element>
<xs:element name="description" type="xs:string" minOccurs="0"></xs:element>
</xs:sequence>
</xs:complexType>

<xs:complexType name="PostHazardResponseType">
<xs:sequence>
<xs:element name="success" type="xs:boolean"></xs:element>
</xs:sequence>
</xs:complexType>

<xs:complexType name="GetHazardListResponseType">
<xs:sequence>
<xs:element name="hazardList" type="tns:HazardListType"></xs:element>
</xs:sequence>
</xs:complexType>

<xs:complexType name="PostHazardRequestType">
<xs:sequence>
<xs:element name="hazard" type="tns:HazardType"></xs:element>
</xs:sequence>
</xs:complexType>

<xs:complexType name="GetHazardListRequestType">
<xs:sequence>
<xs:element name="Location" type="tns:LocationType"></xs:element>
</xs:sequence>
</xs:complexType>

<xs:complexType name="HelloWorldRequestType">
<xs:sequence>
<xs:element name="HelloStr" type="xs:string"></xs:element>
</xs:sequence>
</xs:complexType>
</xs:schema>